Package org.apache.solr.client.solrj.request

## Enum CoreApiMapping.EndPoint

- java.lang.Object
- - java.lang.Enum<CoreApiMapping.EndPoint>
  - - org.apache.solr.client.solrj.request.CoreApiMapping.EndPoint

All Implemented Interfaces:
  `Serializable`, `Comparable<CoreApiMapping.EndPoint>`, `ApiMapping.V2EndPoint`

Enclosing class:
  CoreApiMapping

    public static enum CoreApiMapping.EndPoint
    extends Enum<CoreApiMapping.EndPoint>
    implements ApiMapping.V2EndPoint

### Enum Constant Summary

Enum Constants
`PER_CORE_COMMANDS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getSpecName()`
`static CoreApiMapping.EndPoint` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CoreApiMapping.EndPoint[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PER_CORE_COMMANDS

    public static final CoreApiMapping.EndPoint PER_CORE_COMMANDS

### Method Detail

#### values

    public static CoreApiMapping.EndPoint[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CoreApiMapping.EndPoint c : CoreApiMapping.EndPoint.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CoreApiMapping.EndPoint valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getSpecName

    public String getSpecName()

Specified by:
  `getSpecName` in interface `ApiMapping.V2EndPoint`